org.licas.call.thread

## Class InvokeAutoMethod

- java.lang.Object
- - java.lang.Thread
  - - org.licas.call.thread.InvokeThread
    - - org.licas.call.thread.InvokeAutoMethod

- All Implemented Interfaces:
    java.lang.Runnable

      public class InvokeAutoMethod
      extends InvokeThread

  Runs a single invocation of a `AutoInvoke` object on a separate thread. This is for the autonomic script engine parallel execution process.
  Author:
    Kieran Greer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.licas.call.thread.InvokeThread

      `finished, result`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokeAutoMethod(AutoInvoke thisInvoke)` Create a new instance of AutoInvokeThread.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Execute the method

    - ### Methods inherited from class org.licas.call.thread.InvokeThread

      `getResult, isFinished`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvokeAutoMethod

          public InvokeAutoMethod(AutoInvoke thisInvoke)

      Create a new instance of AutoInvokeThread.
      Parameters:
        `thisInvoke` - the Auto method to invoke.

  - ### Method Detail

    - #### run

          public void run()

      Execute the method
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`